Bug 1578022 - [RFE] As an API user, I should be able to compare the Packages of a Content View Version to the Packages in Library.
Summary: [RFE] As an API user, I should be able to compare the Packages of a Content V...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 16:11 UTC by pm-sat@redhat.com
Modified: 2019-10-07 17:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:27 UTC
Foreman Issue Tracker 23320 None None None 2018-05-14 16:11:33 UTC

Description pm-sat@redhat.com 2018-05-14 16:11:32 UTC

Comment 1 pm-sat@redhat.com 2018-05-14 16:11:35 UTC
Created from redmine issue http://projects.theforeman.org/issues/23320

Comment 2 pm-sat@redhat.com 2018-05-14 16:11:37 UTC
Upstream bug assigned to None

Comment 4 pm-sat@redhat.com 2018-05-14 18:18:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23320 has been resolved.

Comment 6 Bryan Kearney 2018-09-04 20:00:44 UTC
Also, see https://bugzilla.redhat.com/show_bug.cgi?id=1578022.

Comment 8 Justin Sherrill 2018-12-13 15:46:26 UTC
To test, this will involve publishing two content views with different sets of content (you probably want to use content view filters to block different packages within the same repo across two different content views).  

Once you've got two content view versions published, you're going to want perform an api request to:

GET /katello/api/v2/rpms/compare/?content_view_version_ids[]=1&content_view_version_ids[]=2

(where 1 and 2 are examples of your content view version ids).  This should return you some sort of comparison between the two versions.

Comment 9 Lai 2018-12-14 16:52:34 UTC
Verification steps.

1. Setup a content view
2. Add rpm
3. publish new version
4. filter by earlier date
5. publish new version
6. GET /katello/api/v2/packages/compare/?content_view_version_ids[]=1&content_view_version_ids[]=2

Was able to see the comparisons of packages between versions.  The content_view_version_ids I had were 14 and 15.

Below is a snippet of the results of one being in 14, one being in 15, and one being in both.  Check "comparison" portion.

{
    "total": 283,
    "subtotal": 283,
    "page": 1,
    "per_page": 20,
    "error": null,
    "search": null,
    "sort": {
        "by": null,
        "order": null
    },
    "results": [
        {
            "id": 78327,
            "uuid": "08b39048-c2f6-49e0-a506-5027259f797e",
            "name": "ansible",
            "version": "2.4.1.0",
            "release": "1.el7ae",
            "arch": "noarch",
            "epoch": "0",
            "summary": "SSH-based configuration management, deployment, and task execution system",
            "filename": "ansible-2.4.1.0-1.el7ae.noarch.rpm",
            "sourcerpm": "ansible-2.4.1.0-1.el7ae.src.rpm",
            "checksum": "9c90c4103f928f04762941dd1c33e24615055397cb25e732ef2ea742a8686e32",
            "nvrea": "ansible-2.4.1.0-1.el7ae.noarch",
            "nvra": "ansible-2.4.1.0-1.el7ae.noarch",
            "hosts_available_count": 0,
            "hosts_applicable_count": 0,
            "comparison": [
                14
            ]
        },
        {
            "id": 78510,
            "uuid": "b98e0c0f-1cac-4e3c-8a27-ac0b1601e240",
            "name": "ceph-common",
            "version": "12.2.4",
            "release": "30.el7cp",
            "arch": "x86_64",
            "epoch": "2",
            "summary": "Ceph Common",
            "filename": "ceph-common-12.2.4-30.el7cp.x86_64.rpm",
            "sourcerpm": "ceph-12.2.4-30.el7cp.src.rpm",
            "checksum": "dc561f1db96dc42c5c4221da59c6a9df8ed0b8f709da6dd9eff6aef20a902042",
            "nvrea": "ceph-common-2:12.2.4-30.el7cp.x86_64",
            "nvra": "ceph-common-12.2.4-30.el7cp.x86_64",
            "hosts_available_count": 0,
            "hosts_applicable_count": 0,
            "comparison": [
                15
            ]
        },
            "id": 78547,
            "uuid": "da80004e-31a0-4af6-8b7b-6184e6de01f7",
            "name": "babeltrace",
            "version": "1.2.4",
            "release": "5.el7cp",
            "arch": "x86_64",
            "epoch": "0",
            "summary": "Trace Viewer and Converter, mainly for the Common Trace Format",
            "filename": "babeltrace-1.2.4-5.el7cp.x86_64.rpm",
            "sourcerpm": "babeltrace-1.2.4-5.el7cp.src.rpm",
            "checksum": "44fd349522504ccfe33dbb13dd62f16d8b10ae020f74c57355af3a7b090f8871",
            "nvrea": "babeltrace-1.2.4-5.el7cp.x86_64",
            "nvra": "babeltrace-1.2.4-5.el7cp.x86_64",
            "hosts_available_count": 0,
            "hosts_applicable_count": 0,
            "comparison": [
                14,
                15
            ]
        },

Verified in 6.5.0 Snap 7.0

Comment 12 errata-xmlrpc 2019-05-14 12:37:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.